﻿local addonName,ns = ...
ns.killvalue = 0	--给一个默认斩杀
--自带材质列表
ns.HpTextures = {
	["noHpTexture"] = "Interface\\TargetingFrame\\UI-StatusBar",
	["PlateColor"] = "Interface\\Addons\\PlateColor\\texture\\HpTexture",
	["Rainbow"] = "Interface\\Addons\\PlateColor\\texture\\rainbow",
}
--斩杀法术
ns.killSpellId = {
	["384581"] = 35,--奥术弹幕
	["383604"] = 35,--火法11.0强化灼烧
	["449349"] = 35,--火法11.0日怒之型
	["269644"] = 30,--灼烧之触天赋
	["2948"]   = 30,--火法11.0灼烧
	["53351"]  = 20,--猎人夺命射击
	["32379"]  = 20,--暗牧痛
}

ns.RightAuraMax = 3		--右侧光环数量
ns.RightAuraSize = 30	--右侧光环大小

ns.PlateColorDB = {
	myVersion = 0,
	showid = false,				--鼠标提示显示ID
	disableCVarSet = false,		--禁用全部CVar选项
	hpTexture = "PlateColor",	--材质选择
	whiteName = false,			--白色名字
	enemyNameOUTLINE = true,	--敌方名字描边
	enemyNameScale = 11,		--敌方名字大小
	friendNameOUTLINE = true,	--友方名字描边
	friendNameScale = 11,		--友方名字大小
	OnlyName = true,			--仅显名字模式
	friendnpX = 154,			--友方血条宽度
	friendnpY = -35,			--友方姓名版上下位置
	autoOnlyName = true,		--自动关闭名字模式
	nameQuest = true,			--显示任务标志
	hideFlags = false,			--隐藏精英标志
	arrow = true,				--右侧箭头指示器
	castTime = true,			--施法剩余时间
	castIntName = true,			--施法条打断来源名字
	castTarget = true,			--施法预警
	targetIsyou = true,			--被选中预警
	absorbText = true,			--吸收盾文本
	hpPercent = true,			--生命值百分比
	hpValue = false,			--生命值数值
	hpUnits = 1,				--生命值单位
	hpScale = 1,				--生命值大小
	hpPoint = 3,				--生命值位置
	npWidht	= 1.4,				--姓名版宽度
	npHeight = 2.7,				--姓名版高度
	npScale = 0.7,				--姓名版全局缩放
	npTargetScale = 1,			--当前目标缩放
	npNoTargetAlpha = 1,		--非当前目标透明度
	selfShown = false,			--始终显示个人资源
	selfMpScale = 1,			--个人资源缩放
	selfMpText = true,			--个人资源能量值
	selfMpTextScale = 1,		--个人资源大小
	npOverlapV = 0.7,			--姓名版垂直间距
	npOverlapH = 0.6,			--姓名版水平间距
	npOccludedAlpha = 1,		--障碍物透明度
	
	npccolor1 = {r=0,g=0, b=1},			--NPC1颜色
	npccolor2 = {r=0,g=1, b=1},			--NPC2颜色
	autoLessHp = true,					--自动判断斩杀线
	setLessHp = 0,						--手动斩杀线
	lessHpLine = true,					--斩杀分割线
	useLessHp = true,					--启用斩杀颜色
	lessHp = {r=1, g=0, b=1},			--斩杀颜色
	myTarget = true,					--当前目标
	myTargetColor = {r=0, g=1, b=1},	--当前目标颜色
	myFocus = false,					--焦点变色开关
	myFocusColor = {r=1, g=0.7, b=0.8},	--焦点颜色
	allColor = {r=1, g=0, b=0}, 		--全局颜色优先级最低
	
	threatColor = true,							--非T仇恨变色
	noThreatColor = {r=1, g=0, b=0},			--无仇恨
	highThreatColor = {r=1, g=0.5, b=0},		--高仇恨
	myThreatColor = {r=0.3, g=0, b=0.6},		--仇恨是你
	lowThreatColor = {r=0.2, g=0.3, b=0.6},		--仇恨降低
			
	TANKthreatColor = false,					--T单独仇恨变色			
	TANKnoThreatColor = {r=1, g=0, b=0},		--T无仇恨
	TANKhighThreatColor = {r=1, g=0.5, b=0},	--T高仇恨
	TANKmyhreatColor = {r=0.3, g=0, b=0.6},		--T仇恨是你
	TANKlowThreatColor = {r=0.2, g=0.3, b=0.6},	--T仇恨降低
	
	
	
	hpRightAura = true,		--血条右侧光环
	hideAura = false,		--隐藏光环
	auraCooldownText = true,--光环冷却时间
	auraToolTip = false,	--光环鼠标提示
	auraSquare = false,		--正方形光环
	auraScale = 25,			--光环大小
	auraOffsetY = 0,		--光环上下偏移
	selfHpAura = true,		--自己血条光环
	selfAuraScale = 1,		--自己血条光环尺寸
	
	auraShowDefault = true,	--显示默认光环
	npcShowDefault = true,	--显示默认NPC
	NPCs = ns.NPC,			--NPC表
	Auras = ns.Aura,		--光环表

}

----------配置加载---------
local loadFrame = CreateFrame("FRAME"); 
loadFrame:RegisterEvent("ADDON_LOADED"); 
loadFrame:RegisterEvent("PLAYER_LOGOUT"); 

function loadFrame:OnEvent(event, arg1)
	if not PlateColorDB then PlateColorDB = {} end
	for i, j in pairs(ns.PlateColorDB) do
		if type(j) == "table" then
			if PlateColorDB[i] == nil then PlateColorDB[i] = {} end
			for k, v in pairs(j) do
				if type(k) ~= "number" and PlateColorDB[i][k] == nil then --不是颜色表
					PlateColorDB[i][k] = v
				end
			end
		else
			if PlateColorDB[i] == nil then PlateColorDB[i] = j end
		end
	end
end
loadFrame:SetScript("OnEvent", loadFrame.OnEvent);